/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System - Generic Mail Gateway.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.mailgate;

import java.io.*;

public class AttachmentData
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private String type;              // data type
  private String name;              // filename of attachment
  private byte[] data;              // the actual data

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  AttachmentData(String type, String name, InputStream stm) throws IOException
  {
    this.type = type;
    this.name = name;

    ByteArrayOutputStream tmp = new ByteArrayOutputStream();
    byte[] buf = new byte[4096];
    int rd = stm.read(buf);
    while (rd>=0)
    { // simple copy loop
      if (rd>0)
	tmp.write(buf,0,rd);
      rd = stm.read(buf);

    } // end while

    data = tmp.toByteArray();

  } // end constructor

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public final String getType()
  {
    return type;

  } // end getType

  public final String getFileName()
  {
    return name;

  } // end getFileName

  public final int getLength()
  {
    return data.length;

  } // end getLength

  public final byte[] getData()
  {
    return data;

  } // end getData

} // end class AttachmentData
